Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class AbstractIFDocumentHandlerMaker

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker

Direct Known Subclasses:
  AFPDocumentHandlerMaker, IFSerializerMaker, PCLDocumentHandlerMaker, PDFDocumentHandlerMaker, PNGDocumentHandlerMaker, PSDocumentHandlerMaker, SVGDocumentHandlerMaker, SVGPrintDocumentHandlerMaker, TIFFDocumentHandlerMaker

    public abstract class AbstractIFDocumentHandlerMaker

extends java.lang.Object

Base class for factory classes which instantiate `IFDocumentHandler`s and provide information about them.

Constructor Summary
`AbstractIFDocumentHandlerMaker()`

Method Summary
`abstract java.lang.String[]` | `getSupportedMimeTypes()`
`boolean` | `isMimeTypeSupported(java.lang.String mimeType)` Indicates whether a specific MIME type is supported by this document handler.
`abstract IFDocumentHandler` | `makeIFDocumentHandler(FOUserAgent userAgent)` Instantiates a new `IFDocumentHandler`.
`abstract boolean` | `needsOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractIFDocumentHandlerMaker

    public AbstractIFDocumentHandlerMaker()

Method Detail

### makeIFDocumentHandler

    public abstract IFDocumentHandler makeIFDocumentHandler(FOUserAgent userAgent)

  Instantiates a new `IFDocumentHandler`.

  Parameters:
    `userAgent` - the user agent
  Returns:
    the newly instantiated document handler

### needsOutputStream

    public abstract boolean needsOutputStream()

  Returns:
    Indicates whether this document handler requires an OutputStream to work with.

### getSupportedMimeTypes

    public abstract java.lang.String[] getSupportedMimeTypes()

  Returns:
    an array of MIME types the document handler supports.

### isMimeTypeSupported

    public boolean isMimeTypeSupported(java.lang.String mimeType)

  Indicates whether a specific MIME type is supported by this document handler.

  Parameters:
    `mimeType` - the MIME type (ex. "application/pdf")
  Returns:
    true if the MIME type is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.